﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
Sub Class_Globals
	Private mpnlItem As Panel
	Private mInitialWidth, mFinalWidth As Int
	Private tmrReducePanelWidth As Timer
	Private mAnimDuration As Int
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(pnlItem As Panel)
	mpnlItem = pnlItem
	mInitialWidth = pnlItem.Width
	mFinalWidth = pnlItem.Width * .8

	mpnlItem.Visible = False

	mAnimDuration = 500	
	tmrReducePanelWidth.Initialize("tmrReducePanelWidth", mAnimDuration + 10)
End Sub

#Region + PROPERTIES 

Public Sub setItemPanel(pnlItem As Panel)
	mpnlItem = pnlItem
End Sub
Public Sub getItemPanel As Panel
	Return mpnlItem
End Sub

Public Sub setFinalWidth(FinalWidth As Int)
	mFinalWidth = FinalWidth
End Sub
Public Sub getFinalWidth As Int
	Return mFinalWidth
End Sub

Public Sub setDuration(Duration As Int)
	mAnimDuration = Duration
End Sub
Public Sub getDuration As Int
	Return mAnimDuration
End Sub

#End Region

#Region + METHODS 

#Region + PUBLIC METHODS 

Public Sub StartAnim
	mpnlItem.Width = 0
	mpnlItem.Visible = True
	mpnlItem.SetLayoutAnimated(mAnimDuration, mpnlItem.Left, mpnlItem.Top, mInitialWidth, mpnlItem.Height)
	tmrReducePanelWidth.Enabled = True
End Sub

#End Region

#Region + PRIVATE METHODS 
#End Region

#End Region

#Region + EVENTS 

Private Sub tmrReducePanelWidth_Tick
	Log("tmrReducePanelWidth_Tick")
	tmrReducePanelWidth.Enabled = False
	mpnlItem.SetLayoutAnimated(mAnimDuration / 3, mpnlItem.Left, mpnlItem.Top, mFinalWidth, mpnlItem.Height)
	Log(mpnlItem.Width & TAB & mpnlItem.Height)
End Sub

#End Region
